Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  class Classfile extends AnyRef
  Definition Classes
    scalap
- Attribute
- Member
- Pool

c

scala.tools.scalap.Classfile

# Pool 

###

#### class Pool extends AnyRef

Source
  Classfile.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Pool
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Pool()

### Type Members

1.  case class ClassRef (classId: Int) extends PoolEntry with Product with Serializable
2.  case class DoubleConst (x: Double) extends PoolEntry with Product with Serializable
3.  case class FieldRef (classId: Int, memberId: Int) extends PoolEntry with Product with Serializable
4.  case class FloatConst (x: Float) extends PoolEntry with Product with Serializable
5.  case class IntegerConst (x: Int) extends PoolEntry with Product with Serializable
6.  case class IntfMethodRef (classId: Int, memberId: Int) extends PoolEntry with Product with Serializable
7.  case class InvokeDynamic (bootMethodId: Int, nameTypeId: Int) extends PoolEntry with Product with Serializable
8.  case class LongConst (x: Long) extends PoolEntry with Product with Serializable
9.  case class MethodHandle (kindId: Int, refId: Int) extends PoolEntry with Product with Serializable
10.  case class MethodRef (classId: Int, memberId: Int) extends PoolEntry with Product with Serializable
11.  case class MethodType (descId: Int) extends PoolEntry with Product with Serializable
12.  case class NameAndType (nameId: Int, typeId: Int) extends PoolEntry with Product with Serializable
13.  sealed abstract class PoolEntry extends AnyRef
14.  case class StringConst (strId: Int) extends PoolEntry with Product with Serializable
15.  case class UTF8 (str: String) extends PoolEntry with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Pool to any2stringadd[Pool] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Pool, B)
   Implicit
     This member is added by an implicit conversion from Pool to ArrowAssoc[Pool] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(x: Int): PoolEntry
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def ensuring(cond: (Pool) ⇒ Boolean, msg: ⇒ Any): Pool
   Implicit
     This member is added by an implicit conversion from Pool to Ensuring[Pool] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Pool) ⇒ Boolean): Pool
    Implicit
      This member is added by an implicit conversion from Pool to Ensuring[Pool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): Pool
    Implicit
      This member is added by an implicit conversion from Pool to Ensuring[Pool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Pool
    Implicit
      This member is added by an implicit conversion from Pool to Ensuring[Pool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  val entries: Array[PoolEntry]
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Pool to StringFormat[Pool] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  lazy val length: Int
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  def stringOf(x: Int): String
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      Pool → AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  def →[B](y: B): (Pool, B)
    Implicit
      This member is added by an implicit conversion from Pool to ArrowAssoc[Pool] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
32.  object Empty extends PoolEntry with Product with Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Pool to any2stringadd[Pool]

### Inherited by implicit conversion StringFormat from Pool to StringFormat[Pool]

### Inherited by implicit conversion Ensuring from Pool to Ensuring[Pool]

### Inherited by implicit conversion ArrowAssoc from Pool to ArrowAssoc[Pool]

### Ungrouped